--- title: "Text translation" slug: "ai-naver-papagonmt-translation" tags: ["Papago Translation"] updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/ai-naver-papagonmt-translation" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Text translation Available in Classic and VPC Translate and output entered text. The output results can be supplemented with glossary, honorific translation, and term replacement options. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /translation | ### Request headers For information about the headers common to all Papago Translation APIs, see [Papago Translation request headers](/docs/en/ai-naver-papagonmt#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `source` | String | Required | Language code of the source text (source) - `auto` (automatic language detection) \| `ko (Korean)` \| `en (English)` \| `ja(Japanese)` \| `zh-CN` (Chinese (Simplified)) \| `zh-TW` (Chinese (Traditional)) \| `vi` (Vietnamese) \| `th` (Thai) \| `id` (Indonesian) \| `fr` (French) \| `es` (Spanish) \| `ru` (Russian) \| `de` (German) \| `it` (Italian) | | `target` | String | Required | Language code of the target text - `ko (Korean)` \| `en (English)` \| `ja (Japanese)` \| `zh-CN` (Chinese (Simplified)) \| `zh-TW` (Chinese (Traditional)) \| `vi` (Vietnamese) \| `th` (Thai) \| `id` (Indonesian) \| `fr` (French) \| `es` (Spanish) \| `ru` (Russian) \| `de` (German) \| `it` (Italian) - For information about language pairs for which translation is supported, see [Languages supported for translation](/docs/en/ai-naver-papagonmt-translation#%EB%B2%88%EC%97%AD%EC%A7%80%EC%9B%90%EC%96%B8%EC%96%B4). | | `text` | String | Required | Text to translate - Up to 5000 characters translatable per call | | `glossaryKey` | String | Optional | Glossary ID - Customized translation is applied based on the glossary data. - Korean ⇔ English, Japanese, Chinese (Simplified/Traditional), French \| English ⇔ Japanese, Chinese (Simplified/Traditional), Vietnamese, Thai, Indonesian, French \| Japanese ⇔ Chinese (Simplified/Traditional) - When used concurrently with `replaceInfo`, `replaceInfo` has higher priority. - `honorific` is not applied to terms in glossaries. | | `replaceInfo` | String | Optional | Substitution translation index - Bulk translate specific index (`str`) to desired text. - Return original text if `str` is not set. - Korean ⇔ English, Japanese, Chinese (Simplified/Traditional), French \| English ⇔ Japanese, Chinese (Simplified/Traditional), Vietnamese, Thai, Indonesian, French \| Japanese ⇔ Chinese (Simplified/Traditional) | | `honorific` | Boolean | Optional | Whether to apply honorifics - `true` \| `false` (default) - `true`: Apply honorifics - `false`: No honorifics - English ⇒ Korean, Japanese ⇒ Korean, Chinese (Simplified/Traditional) ⇒ Korean, Korean ⇒ Japanese, English ⇒ Japanese, Chinese (Simplified/Traditional) ⇒ Japanese | Note You can also specify text that should not be translated with HTML tags as follows: ``` or ``` When using tags, they do not count towards the character count and have the same supported languages as `glossaryKey` and `replaceInfo`. See [Text Translation examples](/docs/en/ai-naver-papagonmt-translation#/docs/en/ai-naver-papagotranslation-example01#%EC%B9%98%ED%99%98%EC%98%B5%EC%85%98%EC%A0%81%EC%9A%A9) for examples of using the tag. #### Languages supported for translation The following describes the supported languages for translation. | Supported language | Translation direction | Supported language | | --- | --- | --- | | `ko` (Korean) | ⇔ | `en` (English), `ja` (Japanese), `zh-CN` (Chinese (Simplified)), `zh-TW` (Chinese (Traditional)), `vi` (Vietnamese), `th` (Thai), `id` (Indonesian), `fr` (French), `es` (Spanish), `ru` (Russian), `de` (German), `it` (Italian) | | `en` (English) | ⇔ | `ko` (Korean), `ja` (Japanese), `zh-CN` (Chinese (Simplified)), `zh-TW` (Chinese (Traditional)), `vi` (Vietnamese), `th` (Thai), `id` (Indonesian), `fr` (French), `es` (Spanish), `ru` (Russian), `de` (German) | | `ja` (Japanese) | ⇔ | `zh-CN` (Chinese (Simplified)), `zh-TW` (Chinese (Traditional)), `vi` (Vietnamese), `th` (Thai), `id` (Indonesian), `fr` (French) | | `zh-CN` (Chinese (Simplified)) | ⇔ | `zh-TW` (Chinese (Simplified)) | ### Request example The request example is as follows: #### If `Content-Type: application/x-www-form-urlencoded` The following is a sample request when the request header `Content-Type` is `application/x-www-form-urlencoded`. ``` curl --location --request POST 'https://papago.apigw.ntruss.com/nmt/v1/translation' \ --header 'X-NCP-APIGW-API-KEY-ID: {Client ID issued when registering the app}' \ --header 'X-NCP-APIGW-API-KEY: {Client secret issued when registering the app}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --data-urlencode 'source=auto' \ --data-urlencode 'target=en' \ --data-urlencode 'text=Hello, I like to eat apples while riding my bike.' ``` #### For `Content-Type: application/json` The request example if the request header's `Content-Type` is `application/json` is as follows: ``` curl --location --request POST 'https://papago.apigw.ntruss.com/nmt/v1/translation' \ --header 'X-NCP-APIGW-API-KEY-ID: {Client ID issued when registering the app}' \ --header 'X-NCP-APIGW-API-KEY: {Client secret issued when registering the app}' \ --header 'Content-Type: application/json' \ --data '{ "source": "auto", "target": "ko", "text": "Advanced technology requires numerous beta tests and feedbacks. This process takes up a lot of time, but it must be done for development.", "glossaryKey": "{glossaryKey}", "replaceInfo": " ", "honorific": "true" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `message` | Object | - | Response result | | `message.result` | Object | - | Translation result details | | `message.result.srcLangType` | String | - | Source text language code | | `message.result.tarLangType` | String | - | Translated text language code | | `message.result.translatedText` | String | - | Translated text | ### Response status codes For information about the HTTP status codes common to all Papago Translation APIs, see [Papago Translation response status codes](/docs/en/ai-naver-papagonmt#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "message": { "result": { "srcLangType": "ko", "tarLangType": "en", "translatedText": "Hello, I like to eat apple while riding a bicycle." } } } ```